[Bro-Dev] #562: SWIG version trouble

Bro Tracker bro at tracker.bro-ids.org
Thu Aug 18 11:54:50 PDT 2011


#562: SWIG version trouble
----------------------+------------------------
  Reporter:  robin    |      Owner:  jsiwek
      Type:  Problem  |     Status:  assigned
  Priority:  Normal   |  Milestone:  1.6
 Component:  Bro      |    Version:  git/master
Resolution:           |   Keywords:  beta
----------------------+------------------------

Comment (by jsiwek):

 In [43f8a69f1644ca63fbcd11b3b9164dfd2ab7295b/pysubnettree]:
 {{{
 #!CommitTicketReference repository="pysubnettree"
 revision="43f8a69f1644ca63fbcd11b3b9164dfd2ab7295b"
 Add check for incompatible swig+python versions. (addresses #562)

 Swig versions less than 1.3.40 don't work with Python headers of versions
 greater than or equal to 2.5, so it now prints a more useful message at
 configure time rather than failing at build time for combinations that
 won't work.
 }}}

-- 
Ticket URL: <http://tracker.bro-ids.org/bro/ticket/562#comment:4>
Bro Tracker <http://tracker.bro-ids.org/bro>
Bro Issue Tracker



More information about the bro-dev mailing list